using System;
using System.Collections.Generic;
using System.Text;
using Edu.Common.Plugin;

namespace Edu.Common.Enum.Course
{
    /// <summary>
    /// 课程预约状态枚举
    /// </summary>
    public enum CourseAppointStateEnum
    {

        /// <summary>
        /// 待确认
        /// </summary>
        [EnumField("待确认")]
        WaitSure = 1,
        /// <summary>
        /// 待上课
        /// </summary>
        [EnumField("待上课")]
        WaitCourse = 2,

        /// <summary>
        /// 已上课
        /// </summary>
        [EnumField("已上课")]
        Coursed = 3,
        /// <summary>
        /// 缺席
        /// </summary>
        [EnumField("缺席")]
        Absent = 4,

        /// <summary>
        /// 取消
        /// </summary>
        [EnumField("取消")]
        Cancel = 5,
       
    }
}
